## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.5.0
%bcond_without check

# https://github.com/quay/clair
%global goipath         github.com/quay/clair/v4
%global forgeurl        https://github.com/quay/clair
Version:                4.1.5

%global golang_arches x86_64 %{arm} %{arm64}

%gometa

%global common_description %{expand:
Vulnerability Static Analysis for Containers.}

%global golicenses      LICENSE NOTICE
%global godocs          README.md ROADMAP.md code-of-conduct.md CHANGELOG.md\\\
                        Documentation

Name:           %{goname}
Release:        %autorelease
Summary:        Vulnerability Static Analysis for Containers

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         Use-new-opentelemetry-attribute.patch
Patch1:         0001-Remove-instrospection-server.patch

BuildRequires:  golang(github.com/go-stomp/stomp/v3)
BuildRequires:  golang(github.com/google/go-containerregistry/pkg/authn)
BuildRequires:  golang(github.com/google/go-containerregistry/pkg/name)
BuildRequires:  golang(github.com/google/go-containerregistry/pkg/v1/remote)
BuildRequires:  golang(github.com/google/go-containerregistry/pkg/v1/remote/transport)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/gregjones/httpcache)
BuildRequires:  golang(github.com/jackc/pgx/v4)
BuildRequires:  golang(github.com/jackc/pgx/v4/log/testingadapter)
BuildRequires:  golang(github.com/jackc/pgx/v4/pgxpool)
BuildRequires:  golang(github.com/jackc/pgx/v4/stdlib)
BuildRequires:  golang(github.com/jmoiron/sqlx)
BuildRequires:  golang(github.com/klauspost/compress/flate)
BuildRequires:  golang(github.com/klauspost/compress/gzip)
BuildRequires:  golang(github.com/klauspost/compress/snappy)
BuildRequires:  golang(github.com/ldelossa/responserecorder)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promauto)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/quay/claircore)
BuildRequires:  golang(github.com/quay/claircore/libindex)
BuildRequires:  golang(github.com/quay/claircore/libvuln)
BuildRequires:  golang(github.com/quay/claircore/libvuln/driver)
BuildRequires:  golang(github.com/quay/claircore/pkg/distlock)
BuildRequires:  golang(github.com/quay/claircore/pkg/distlock/postgres)
BuildRequires:  golang(github.com/quay/claircore/pkg/jsonerr)
BuildRequires:  golang(github.com/quay/claircore/pkg/microbatch)
BuildRequires:  golang(github.com/quay/claircore/test/integration)
BuildRequires:  golang(github.com/quay/claircore/updater/defaults)
BuildRequires:  golang(github.com/quay/zlog)
BuildRequires:  golang(github.com/remind101/migrate)
BuildRequires:  golang(github.com/rs/zerolog)
BuildRequires:  golang(github.com/rs/zerolog/log)
BuildRequires:  golang(github.com/streadway/amqp)
BuildRequires:  golang(github.com/tomnomnom/linkheader)
BuildRequires:  golang(github.com/ugorji/go/codec)
BuildRequires:  golang(github.com/urfave/cli/v2)
BuildRequires:  golang(go.opentelemetry.io/contrib-0.20/instrumentation/net/http/httptrace/otelhttptrace)
BuildRequires:  golang(go.opentelemetry.io/contrib-0.20/instrumentation/net/http/otelhttp)
BuildRequires:  golang(go.opentelemetry.io/otel-0.20)
BuildRequires:  golang(go.opentelemetry.io/otel-0.20/baggage)
BuildRequires:  golang(go.opentelemetry.io/otel-0.20/exporters/stdout)
BuildRequires:  golang(go.opentelemetry.io/otel-0.20/attribute)
BuildRequires:  golang(go.opentelemetry.io/otel-0.20/sdk/trace)
BuildRequires:  golang(golang.org/x/net/publicsuffix)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(gopkg.in/square/go-jose.v2)
BuildRequires:  golang(gopkg.in/square/go-jose.v2/jwt)
BuildRequires:  golang(gopkg.in/yaml.v3)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
%patch1 -p1
sed -i 's|"github.com/go-stomp/stomp|"github.com/go-stomp/stomp/v3|' $(find . -iname "*.go" -type f)

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE NOTICE
%doc README.md ROADMAP.md code-of-conduct.md CHANGELOG.md
%doc Documentation
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Sep 20 2021 Robert-André Mauchin <zebob.m@gmail.com> 4.1.5-4
- Fix arches

* Mon Sep 20 2021 Robert-André Mauchin <zebob.m@gmail.com> 4.1.5-3
- Limit package to supported arches

* Mon Sep 20 2021 Robert-André Mauchin <zebob.m@gmail.com> 4.1.5-2
- Fix autochangelog

* Mon Sep 20 2021 Robert-André Mauchin <zebob.m@gmail.com> 4.1.5-1
- Initial import
